Loading...
Searching...
No Matches
gridfire::engine::MultiscalePartitioningEngineView::QSEGroup Struct Reference

Struct representing a QSE group. More...

Collaboration diagram for gridfire::engine::MultiscalePartitioningEngineView::QSEGroup:
[legend]

## Public Member Functions

bool | operator< (const QSEGroup &other) const
| Less-than operator for QSEGroup, used for sorting.
bool | operator> (const QSEGroup &other) const
| Greater-than operator for QSEGroup.
bool | operator== (const QSEGroup &other) const
| Equality operator for QSEGroup.
bool | operator!= (const QSEGroup &other) const
| Inequality operator for QSEGroup.
std::string | toString (bool verbose) const
bool | contains (const fourdst::atomic::Species &species) const
| QSESolver Member Functions ///.
bool | containsAlgebraic (const fourdst::atomic::Species &species) const
bool | containsSeed (const fourdst::atomic::Species &species) const

## Public Attributes

bool | is_in_equilibrium = false
| Flag set by flux analysis.
std::set< fourdst::atomic::Species > | algebraic_species
| Algebraic species in this group.
std::set< fourdst::atomic::Species > | seed_species
| Dynamic species in this group.
double | mean_timescale
| Mean timescale of the group.

## Friends

std::ostream & | operator<< (std::ostream &os, const QSEGroup &group)

## Detailed Description

Struct representing a QSE group.

Purpose
  A container to hold all information about a set of species that are potentially in quasi-steady-state equilibrium with each other.

## Member Function Documentation

## contains()

bool gridfire::engine::MultiscalePartitioningEngineView::QSEGroup::contains | ( | const fourdst::atomic::Species & | species | ) | const

QSESolver Member Functions ///.

## containsAlgebraic()

bool gridfire::engine::MultiscalePartitioningEngineView::QSEGroup::containsAlgebraic | ( | const fourdst::atomic::Species & | species | ) | const

## containsSeed()

bool gridfire::engine::MultiscalePartitioningEngineView::QSEGroup::containsSeed | ( | const fourdst::atomic::Species & | species | ) | const

## operator!=()

bool gridfire::engine::MultiscalePartitioningEngineView::QSEGroup::operator!= | ( | const QSEGroup & | other | ) | const

Inequality operator for QSEGroup.

Parameters

  other | The other QSEGroup to compare to.

Returns
  True if the sets of species indices are not identical.

## operator<()

bool gridfire::engine::MultiscalePartitioningEngineView::QSEGroup::operator< | ( | const QSEGroup & | other | ) | const

Less-than operator for QSEGroup, used for sorting.

Parameters

  other | The other QSEGroup to compare to.

Returns
  True if this group's mean timescale is less than the other's.

## operator==()

bool gridfire::engine::MultiscalePartitioningEngineView::QSEGroup::operator== | ( | const QSEGroup & | other | ) | const

Equality operator for QSEGroup.

QSEGroup Member Functions ///.

Parameters

  other | The other QSEGroup to compare to.

Returns
  True if the sets of species indices are identical.

## operator>()

bool gridfire::engine::MultiscalePartitioningEngineView::QSEGroup::operator> | ( | const QSEGroup & | other | ) | const

Greater-than operator for QSEGroup.

Parameters

  other | The other QSEGroup to compare to.

Returns
  True if this group's mean timescale is greater than the other's.

## toString()

std::string gridfire::engine::MultiscalePartitioningEngineView::QSEGroup::toString | ( | bool | verbose | ) | const

nodiscard

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const QSEGroup & | group )

friend

## Member Data Documentation

## algebraic_species

std::set<fourdst::atomic::Species> gridfire::engine::MultiscalePartitioningEngineView::QSEGroup::algebraic_species

Algebraic species in this group.

## is_in_equilibrium

bool gridfire::engine::MultiscalePartitioningEngineView::QSEGroup::is_in_equilibrium = false

Flag set by flux analysis.

## mean_timescale

double gridfire::engine::MultiscalePartitioningEngineView::QSEGroup::mean_timescale

Mean timescale of the group.

## seed_species

std::set<fourdst::atomic::Species> gridfire::engine::MultiscalePartitioningEngineView::QSEGroup::seed_species

Dynamic species in this group.

The documentation for this struct was generated from the following files:

- src/include/gridfire/engine/views/engine_multiscale.h
- src/lib/engine/views/engine_multiscale.cpp